function user_data(){
	return "login="+pobierzCiastko(LCOOKIE)+"&qstring="+pobierzCiastko(QCOOKIE);
}

function pobierz_interfejs(nazwa){
	var req = createReq();
	if(req == null){
		alert("blad!");
		return;
	}
	var url = "./interfejsy/"+nazwa+".html";
	req.open("GET", url, false);
	req.send(null);
	return req.responseText;
}

function zaloguj(login, pass){
	var req = createReq();
	if(req == null){
		alert("blad!");
		return;
	}
	var url = "./php/login.php";
	var dane = "login="+login+"&pass="+pass;
	req.open("POST", url, false);
	req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	req.send(dane);
	if(req.responseText.length != 0){
		return req.responseText;
	}else{
		return null;
	}
}

function pobierz_liste_albumow(all){
	var pf = "getlist";
	if(all == 'all'){
		pf = "getalllist";
	}
	var req = createReq();
	if(req == null){
		alert("Blad!");
		return;
	}
	var url = "./php/albumy.php?action="+pf;
	var dane = user_data();
	req.open("POST", url, true);
	req.onreadystatechange = function(){
		if(isReady(req)){
			var ret = req.responseText;
			if(ret.length == 0){
				alert("Nie udalo sie wykonac operacji lub nie masz do niej uprawnien!");
			}else{
				drukuj_liste_albumow(ret);
				if(all == 'all'){
					pokaz_ukryj_pobierz_wiecej(1);
				}
			}
		}
	}
	req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	req.send(dane);
}

function pobierz_ilosc_albumow_w_bazie(){
	var req = createReq();
	if(req == null){
		alert("Blad!");
		return;
	}
	var url = "./php/albumy.php?action=count";
	var dane = user_data();
	req.open("POST", url, true);
	req.onreadystatechange = function(){
		if(isReady(req)){
			var ret = req.responseText;
			if(ret.length == 0){
				alert("Nie udalo sie wykonac operacji lub nie masz do niej uprawnien!");
			}else{
				pokaz_ukryj_pobierz_wiecej(ret);
			}
		}
	}
	req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	req.send(dane);
}

function wyszukaj_albumy(str){
	var req = createReq();
	if(req == null){
		alert("Blad!");
		return;
	}
	var url = "./php/albumy.php?action=search&q="+str;
	var dane = user_data();
	req.open("POST", url, true);
	req.onreadystatechange = function(){
		if(isReady(req)){
			var ret = req.responseText;
			if(ret.length == 0){
				alert("Nie udalo sie wykonac operacji lub nie masz do niej uprawnien!");
			}else{
				drukuj_liste_albumow(ret);
			}
		}
	}
	req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	req.send(dane);
}